Patches for aports can be sent to this list

2 2

[alpine-aports] [PATCHv3] testing/ubase: update to 20171010

Details
Message ID
<20180115040029.21669-1-sir@cmpwn.com>
Sender timestamp
1515988829
DKIM signature
missing
Download raw message
Patch: +15 -6
---
It was pointed out to me externally that dates are the preferred
git-derived version denomination.

 testing/ubase/APKBUILD | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

diff --git a/testing/ubase/APKBUILD b/testing/ubase/APKBUILD
index 4ba0ceb0ed..5550888a5e 100644
--- a/testing/ubase/APKBUILD
+++ b/testing/ubase/APKBUILD
@@ -1,25 +1,34 @@
 # Contributor: Ivan Tham <pickfire@riseup.net>
+# Contributor: Drew DeVault <sir@cmpwn.com>
 # Maintainer: Ivan Tham <pickfire@riseup.net>
+_commit=55795531f03ccb5a41cf80fd564b862c103252cc
+_date=
 pkgname=ubase
-pkgver=0.1
-pkgrel=1
+pkgver=20171010
+pkgrel=0
 pkgdesc="Suckless collection of unportable base"
 url="http://core.suckless.org/ubase"
 arch="all"
 license="MIT"
 subpackages="$pkgname-doc"
-source="http://dl.suckless.org/$pkgname/$pkgname-$pkgver.tar.gz"
-options="!check"
-builddir="$srcdir/"$pkgname-$pkgver
+source="https://git.suckless.org/$pkgname/snapshot/$pkgname-$_commit.tar.gz"
+builddir="$srcdir/"$pkgname-$_commit
+options="$options suid"
 
 build() {
 	cd "$builddir"
 	make || return 1
 }
 
+check() {
+	cd "$builddir"
+	./ps -h || [ $? -eq 1 ] || return 1
+}
+
 package() {
 	cd "$builddir"
+	chmod a+s passwd
 	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
 }
 
-sha512sums="3d9feed9670cf2ad6a8af32d1ecf3c206c81c618ed4548127ff2ab18bf03dd31fb89abf7fc598c4422aa348099a62cf7bc0f7c5dbf652ecd0349afb5a1f30b34  ubase-0.1.tar.gz"
+sha512sums="cb24d359821cb84a3777eb0a6842c0aac5d244f99df43f90254d5a6a822940d0daab878a88fb2dbc3c7697c532e58b5818ce29fa742d53a7210cea1c2bdefbd8  ubase-55795531f03ccb5a41cf80fd564b862c103252cc.tar.gz"
-- 
2.15.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Details
Message ID
<20190315200124.GC16498@homura.localdomain>
In-Reply-To
<20190315195217.GA4397@alpha> (view parent)
Sender timestamp
1552680084
DKIM signature
missing
Download raw message
Thanks for the review! I see a lot of problems in this patch myself
(it's over a year old now), I should revisit it anyway.

On 2019-03-15  8:52 PM, Kevin Daudt wrote:
> Just running the binary with -v or -h is not accepted as a check. In
> that case it's prefered to leave `options="!check"`.

I have heard the opposite in the past. Can you update this page?

https://wiki.alpinelinux.org/wiki/Creating_an_Alpine_package#Code_review


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Kevin Daudt
Details
Message ID
<20190315195217.GA4397@alpha>
In-Reply-To
<20180115040029.21669-1-sir@cmpwn.com> (view parent)
Sender timestamp
1552679537
DKIM signature
missing
Download raw message
Thanks, I left a few remarks inline.

On Sun, Jan 14, 2018 at 11:00:29PM -0500, Drew DeVault wrote:
> ---
> It was pointed out to me externally that dates are the preferred
> git-derived version denomination.
> 
>  testing/ubase/APKBUILD | 21 +++++++++++++++------
>  1 file changed, 15 insertions(+), 6 deletions(-)
> 
> diff --git a/testing/ubase/APKBUILD b/testing/ubase/APKBUILD
> index 4ba0ceb0ed..5550888a5e 100644
> --- a/testing/ubase/APKBUILD
> +++ b/testing/ubase/APKBUILD
> @@ -1,25 +1,34 @@
>  # Contributor: Ivan Tham <pickfire@riseup.net>
> +# Contributor: Drew DeVault <sir@cmpwn.com>
>  # Maintainer: Ivan Tham <pickfire@riseup.net>
> +_commit=55795531f03ccb5a41cf80fd564b862c103252cc
> +_date=

Unused variable?

>  pkgname=ubase
> -pkgver=0.1
> -pkgrel=1
> +pkgver=20171010
> +pkgrel=0
>  pkgdesc="Suckless collection of unportable base"
>  url="http://core.suckless.org/ubase"
>  arch="all"
>  license="MIT"
>  subpackages="$pkgname-doc"
> -source="http://dl.suckless.org/$pkgname/$pkgname-$pkgver.tar.gz"
> -options="!check"
> -builddir="$srcdir/"$pkgname-$pkgver
> +source="https://git.suckless.org/$pkgname/snapshot/$pkgname-$_commit.tar.gz"
> +builddir="$srcdir/"$pkgname-$_commit
> +options="$options suid"

options is not defined by default, so I don't think it makes a lot of
sense to try to extend it here.

>  
>  build() {
>  	cd "$builddir"
>  	make || return 1
>  }
>  
> +check() {
> +	cd "$builddir"
> +	./ps -h || [ $? -eq 1 ] || return 1
> +}

Just running the binary with -v or -h is not accepted as a check. In
that case it's prefered to leave `options="!check"`.

> +
>  package() {
>  	cd "$builddir"
> +	chmod a+s passwd
>  	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
>  }
>  
> -sha512sums="3d9feed9670cf2ad6a8af32d1ecf3c206c81c618ed4548127ff2ab18bf03dd31fb89abf7fc598c4422aa348099a62cf7bc0f7c5dbf652ecd0349afb5a1f30b34  ubase-0.1.tar.gz"
> +sha512sums="cb24d359821cb84a3777eb0a6842c0aac5d244f99df43f90254d5a6a822940d0daab878a88fb2dbc3c7697c532e58b5818ce29fa742d53a7210cea1c2bdefbd8  ubase-55795531f03ccb5a41cf80fd564b862c103252cc.tar.gz"
> -- 
> 2.15.0
> 
> 
> 
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
> 


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---